Show / Hide Table of Contents

# Struct Utf8String

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: FFXIVClientStructs.FFXIV.Client.System.String

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Utf8String

### Fields

| Improve this Doc View Source

#### BufSize

##### Declaration

    public long BufSize

##### Field Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### BufUsed

##### Declaration

    public long BufUsed

##### Field Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### InlineBuffer

##### Declaration

    public byte *InlineBuffer

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### StringLength

##### Declaration

    public long StringLength

##### Field Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### StringPtr

##### Declaration

    public byte *StringPtr

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Unk

##### Declaration

    public ushort Unk

##### Field Value

Type | Description
--- | ---
System.UInt16 |